#include <bits\stdc++.h>
using namespace std;

int n, m, a[10000][10000], x, y;
long long ans;

int main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int i, j;
	cin >> n >> m;
	for(i = 0; i < n; i++){
		for(j = 0; j < m; j++){
			cin >> a[i][j];
		}
	}
	
	if(n == 2){
		int sum1;
		for(i = m-2; i >= 0; i--){
			for(j = i-1; i >= 0; j--){
				sum1+= a[1][j];
			}
			if(sum1 > a[0][i])continue;
			for(j = i; j >= 0; j--){
				ans+= a[1][j] * (i-j);
			}
			for(j = i+2; j < m; j++){
				ans+=a[0][j];
			}
		}
		cout << ans;
		return 0;
	}
	
	return 0;
}